import mido

# Définir le nom de votre Launchpad MK2
launchpad_name = "Launchpad MK2"

# Rechercher le périphérique MIDI correspondant au Launchpad
input_port = None
for port in mido.get_input_names():
    if launchpad_name in port:
        input_port = mido.open_input(port)
        break

if input_port is None:
    print(f"Le Launchpad MK2 '{launchpad_name}' n'a pas été trouvé.")
else:
    print(f"Écoute des actions sur '{launchpad_name}'...")
    try:
        for message in input_port:
            print("Message MIDI reçu:", message)
    except KeyboardInterrupt:
        print("Arrêt de l'écoute.")

